# List all payments for an account Retrieves payments for a specified account. Payments are returned in reverse chronological order by updatedDate. Endpoint: GET /v1/transactions/payments/accounts/{account-key} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Path parameters: - `account-key` (string, required) Account number or account ID. ## Response 200 fields (application/json): - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `payments` (array) Information about one or more payments: - `payments.accountID` (string) Customer account ID. - `payments.accountName` (string) Customer account name. - `payments.accountNumber` (string) Customer account number. - `payments.amount` (string) Payment amount. - `payments.effectiveDate` (string) Effective payment date as _yyyy-mm-dd_. - `payments.gatewayTransactionNumber` (string) Transaction ID from payment gateway. - `payments.id` (string) PaymentID. - `payments.paidInvoices` (array) Information about one or more invoices to which this payment was applied: - `payments.paidInvoices.appliedPaymentAmount` (string) Amount of the payment applied to this invoice. - `payments.paidInvoices.invoiceId` (string) Invoice ID. - `payments.paidInvoices.invoiceNumber` (string) Invoice number. - `payments.paymentMethodID` (string) Payment method. - `payments.paymentNumber` (string) Unique payment number. - `payments.status` (string) Possible values are: Draft, Processing, Processed, Error, Voided, Canceled, `Posted. - `payments.type` (string) Possible values are: External, Electronic. - `payments.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.IntegrationStatus__NS` (string) Status of the payment's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.SyncDate__NS` (string) Date when the payment was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.Transaction__NS` (string) Related transaction in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `success` (boolean) Returns true if the request was processed successfully.